﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MultiSelectionCombo.Controllers
{
    public class HomeController : Controller
    {
        public ActionResult Index()
        {
            return View();
        }

        public ActionResult About()
        {
            ViewBag.Message = "Your application description page.";

            return View();
        }

        public ActionResult Contact()
        {
            ViewBag.Message = "Your contact page.";

            return View();
        }

        public ActionResult Combo()
        {
            ViewBag.AllContacts = GenerateUsers(20);
            ViewBag.Message = "Hello Combo";

            List<GroupsModel> groups = new List<GroupsModel>();
            for (int i = 0; i < 2; i++)
            {
                GroupsModel gm = new GroupsModel()
                {
                    GroupID = Guid.NewGuid()
                };

                groups.Add(gm);
            }

            return View(groups);
        }

        public List<User> GenerateUsers(int count)
        {
            List<User> users = new List<User>();
            for (int i = 0; i < count; i++)
            {
                User user = new User
                {
                    UserId = i + 1,
                    Name = "George " + (i + 1)
                };

                users.Add(user);
            }

            return users;
        }
    }

    public class GroupsModel
    {
        public Guid GroupID { get; set; }
        public string Users { get; set; }
    }

    public class User
    {
        public string Name { get; set; }
        public int UserId { get; set; }
    }
}